package com.unis.module.coding.controller.admin.delivery.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @author qingsong.han
 * @description:
 * @create 2025-01-16 15:50
 */
@Schema(description = "交割仓选择 Response VO")
@Data
public class DeliveryRespVO {

    @Schema(description = "库区id")
    @ExcelIgnore
    private Long kqId;
    @Schema(description = "财务信息id")
    @ExcelIgnore
    private Long cwId;

    @Schema(description = "所属省份")
    @ExcelProperty("所属省份")
    private String sheng;

    @Schema(description = "所属市区")
    @ExcelProperty("所属市区")
    private String shi;

    @Schema(description = "所在县区")
    @ExcelProperty("所在县区")
    private String xian;

    @Schema(description = "企业名称")
    @ExcelProperty("企业名称")
    private String dwmc;

    @Schema(description = "库区名称")
    @ExcelProperty("库区名称")
    private String kqmc;

    @Schema(description = "仓容总量（吨）")
    @ExcelProperty("仓容总量（吨）")
    private String sjcrNum;

    @Schema(description = "仓房数量")
    @ExcelProperty("仓房数量")
    private Integer cfnum;

    @Schema(description = "已选仓房")
    @ExcelProperty("已选仓房")
    private Integer yxcfnum;

    @Schema(description = "单位id")
    @ExcelIgnore
    private Long deptId;

    @Schema(description = "行政区域编码")
    @ExcelIgnore
    private String xzqhdm;
    @Schema(description = "总资产（万元）")
    @ExcelIgnore
    private Long zzc;
    @Schema(description = "上一年度净利润（万元）")
    @ExcelIgnore
    private Long sndjlr;
    @Schema(description = "库区联系人")
    @ExcelIgnore
    private String kqfzr;
    @Schema(description = "联系电话")
    @ExcelIgnore
    private String lxdh;
    @Schema(description = "仓房类型编码")
    @ExcelIgnore
    private String cflx;

    @Schema(description = "仓房状态编码")
    @ExcelIgnore
    private String cfzt;

    // 仓房仓容
    @Schema(description = "仓房仓容start")
    @ExcelIgnore
    private Integer cfStart;
    @Schema(description = "仓房仓容end")
    @ExcelIgnore
    private Integer cfEnd;
}
