package com.unis.module.coding.controller.admin.task.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.unis.framework.jackson.core.databind.StringLocalDateTimeSerializer;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

@Schema(description = "APP - 打卡信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class TaskDkxxRespVO {

    @Schema(description = "id")
    private Long id;

    @Schema(description = "库区id(DELIVERY_KQXX.ID)")
    private Long kqId;

    @Schema(description = "用户id(SYSTEM_USERS.ID)")
    private Long userId;

    @Schema(description = "打卡时间")
    @JsonSerialize(using = StringLocalDateTimeSerializer.class) // 使用自定义序列化器
    private LocalDateTime dksj;

    @Schema(description = "打卡地点")
    private String dkdd;

    @Schema(description = "拍照信息多个逗号分隔','(INFRA_FILE.ID)")
    private List<Long> pzxx;

}